apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: edgefaas
spec:
  selector:
    matchLabels:
      name: edgefaas
  template:
    metadata:
      labels:
        name: edgefaas
    spec:
      nodeSelector:
        edgefaas: enabled
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: smarter-build
                operator: NotIn
                values:
                - yocto
      tolerations:
      - key: "smarter.type"
        value: "edge"
        effect: "NoSchedule"
      hostname: edgefaas
      containers:
      - name: edgefaas
        image: registry.gitlab.com/arm-research/smarter/edgefaas/edgefaas:v1-1-0
        imagePullPolicy: IfNotPresent        
        ports:
          - containerPort: 8080

---

apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: edgefaas-persistent
spec:
  selector:
    matchLabels:
      name: edgefaas-persistent
  template:
    metadata:
      labels:
        name: edgefaas-persistent
    spec:
      nodeSelector:
        edgefaas: enabled
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: smarter-build
                operator: In
                values:
                - yocto
      tolerations:
      - key: "smarter.type"
        value: "edge"
        effect: "NoSchedule"
      hostname: edgefaas
      containers:
      - name: edgefaas
        image: registry.gitlab.com/arm-research/smarter/edgefaas/edgefaas:v1-1-0
        imagePullPolicy: IfNotPresent        
        ports:
          - containerPort: 8080
        volumeMounts:
        - name: faas-functions
          mountPath: /home/app/function
      volumes:
        - name: faas-functions
          hostPath:
            path: /smarter/faas